﻿namespace UltraPivotGridFlatDataSource
{
    using Infragistics.Win;
    using Infragistics.Win.UltraWinPivotGrid.UIElements;

    internal class MyDrawFilter : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            ColumnHeaderUIElement headerElement = drawParams.Element as ColumnHeaderUIElement;
            if (headerElement != null)
            {
                if (headerElement.Column != null && headerElement.Column.Key.Contains("Bandy"))
                {
                    headerElement.Column.CellAppearance.Normal.BackColor = System.Drawing.Color.Red;
                }
            }

            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is ColumnHeaderUIElement)
            {
                return DrawPhase.BeforeDrawElement;
            }

            return DrawPhase.None;
        }
    }
}
